/*
 * AskRemote.java
 */


import java.rmi.Naming;                    /* lookup         */
import java.rmi.registry.Registry;         /* REGISTRY_PORT  */

import java.net.MalformedURLException;     /* Exceptions...  */
import java.rmi.NotBoundException;
import java.rmi.RemoteException;


public class AskRemote
{
  public static void main(String[] args)
  {
    /* Look for hostname and msg length in the command line */
    if (args.length != 1)
    {
      System.out.println("1 argument needed: (remote) hostname");
      System.exit(1);
    }


    try {
      String rname = "//" + args[0] + ":" + Registry.REGISTRY_PORT + "/remote";
//      String rname = "//localhost:1099/remote";

      System.out.println("About to lookup for " + rname);

      RemoteIface remoteobj;
      remoteobj = (RemoteIface) Naming.lookup(rname);

      byte buffer[];
      int  bufferlength = 100;

      buffer = new byte[bufferlength];

//      System.out.println("Now invoking the remote method");
      remoteobj.sendThisBack(buffer);

      System.out.println("Done");
    } catch (MalformedURLException e) {
        e.printStackTrace();
    } catch (RemoteException e) {
        e.printStackTrace();
    } catch (NotBoundException e) {
        e.printStackTrace();
    }
  }
}
